script_dir=$(cd $(dirname "${BASH_SOURCE[0]}") && pwd)
org_dir="/home/gl5972/Leipzig/FigX/org"
target_dir="/bigdata/ParticleFlows"
sides=("3" "4" "5" "6" "7")
ecs=$(LC_NUMERIC="en_US.UTF-8"; seq 0.0 0.1 4.0)
theta=${1}
[ -z "${theta}" ] && theta="90"
for side in ${sides[@]}
do
	side_dir="${target_dir}/ca${theta}/side${side}"
	if [ -d "${side_dir}" ]
	then
		echo "${side_dir} already exists. Nothing to be done."
	else
		mkdir -p ${side_dir}
		for ec in ${ecs[@]}
		do
			ec_dir="${side_dir}/ec${ec}"
			if [ -d "${ec_dir}" ]
			then
				echo "${ec_dir} already exists. Nothing to be done."
			else
				echo ${ec_dir}
				mkdir -p ${ec_dir}
				cp ${org_dir}/Hemera.sh ${org_dir}/Input.in ${ec_dir}
				sed -i "s/--job-name=.*/--job-name=c${theta}_s${side}_e${ec}/" ${ec_dir}/Hemera.sh
				sed -i "s/Ec =.*/Ec = ${ec};/" ${ec_dir}/Input.in
				sed -i "s/sides =.*/sides = ${side};/" ${ec_dir}/Input.in
				sed -i "s/contact_angle =.*/contact_angle = ${theta};/" ${ec_dir}/Input.in
				cd ${ec_dir}; sbatch Hemera.sh; cd ${script_dir}
			fi
		done
	fi
done
